An Creeban Consulting

Sales, training & consultancy for AccountEdge Mac accounting software and Checkout point of sale software for Mac.

Checkout FAQs

Checkout and compatibility with macOS 10.12 Sierra

Checkout version 3 is not compatible with 10.12. Version 3 users will need to upgrade to version 4.

There are a few known issues with Checkout version 4 and 10.12. Checkout are not recommending upgrading to 10.12 until they are resolved.

Checkout point of sale version 4 system requirements

Mac computer (Intel CPU) with 10.6.1 (Snow Leopard), 10.7 (Lion), 10.8 (Mountain Lion), 10.9 (Mavericks), or 10.10 (Yosemite) with at least 1GB of RAM.

Airport Extreme recommended for wireless networking, or Ethernet-based (wired) network. If you are using an Ethernet-based (wired) network with a new Retina display Macbook Pro, plan on using an adapter that will connect to the USB or Thunderbolt (preferred) port of the new Macbook Pro laptops. These machines do not have Ethernet connectors.